class Urbans::Configurer
  # explicitly load countries
  def load_countries *args
    countries = []
    options = {}
    args.each do |arg|
      if arg.is_a?(String) || arg.is_a?(Symbol)
        countries << arg
      else
        options = arg
      end
    end

    original_locale = Urbans.locale
    locales = options[:locale] || Urbans.locale
    locales = [locales] unless locales.is_a?(Array)

    locales.each do |locale|
      Urbans.locale = locale
      # preload!
      countries.each do |country_name|
        country = Urbans.country.get country_name
        country.provinces
        country.provinces.first.cities
      end
    end

    Urbans.locale = original_locale
  end
end
